//shooty_common.h
//Common definitions for shooty game
//Bryan Topp <betopp@betopp.com> 2016

#pragma once

#define BULLET_MAX 8
#define FLEET_MAX 24
#define FX_MAX 24

enum ShootyFixedSpriteIndices
{	
	SIDX_PLACEHOLDER = 0,
	
	//Player bullets
	SIDX_P0_BULLETS,
	SIDX_P0_BULLETS_LAST = SIDX_P0_BULLETS + BULLET_MAX - 1,
	SIDX_P1_BULLETS,
	SIDX_P1_BULLETS_LAST = SIDX_P1_BULLETS + BULLET_MAX - 1,
	
	//Enemy ships
	SIDX_FLEET,
	SIDX_FLEET_LAST = SIDX_FLEET + FLEET_MAX - 1,
	
	//FX particles
	SIDX_FX,
	SIDX_FX_LAST = SIDX_FX + FX_MAX - 1,
	
	//Player ships
	SIDX_P0,
	SIDX_P1,
	
	SIDX_MAX
};

unsigned short shooty_prng16();